scalar Upload

query fsFiles($directory: String!) {
  fsFiles(directory: $directory) {
    filename
    path
    size
    ctime
    mtime
  }
}

query files(
  $where: FileWhereInput
  $orderBy: FileOrderByInput
  $skip: Int
  $after: String
  $before: String
  $first: Int
  $last: Int
) {
  files(
    where: $where
    orderBy: $orderBy
    skip: $skip
    after: $after
    before: $before
    first: $first
    last: $last
  ) {
    id
    path
    mimetype
    user {
      id
      name
    }
    thumbnail
    filename
    size
    updatedAt
    comment
  }
}

mutation uploadFile($file: Upload!, $comment: String) {
  uploadFile(file: $file, comment: $comment) {
    id
    path
    mimetype
    thumbnail
    filename
    size
    comment
  }
}

query videos {
  videos {
    id
    title
    description
    duration
    file {
      id
      path
      size
      thumbnail
      comment
    }
    link
  }
}

query video($where: VideoWhereUniqueInput!) {
  video(where: $where) {
    id
    title
    description
    duration
    file {
      id
      path
      size
      thumbnail
      comment
    }
  }
}

mutation createVideo($data: VideoCreateInput) {
  createVideo(data: $data) {
    id
  }
}

mutation updateVideo($data: VideoUpdateInput!, $where: VideoWhereUniqueInput!) {
  updateVideo(data: $data, where: $where) {
    id
  }
}

query pictures {
  pictures {
    id
    title
    description
    file {
      id
      path
      size
      thumbnail
      comment
    }
    link
  }
}

query picture($where: VideoWhereUniqueInput!) {
  picture(where: $where) {
    id
    title
    description
    file {
      id
      path
      size
      thumbnail
      comment
    }
  }
}

mutation createPicture($data: PictureCreateInput) {
  createPicture(data: $data) {
    id
  }
}

mutation updatePicture($data: PictureUpdateInput!, $where: PictureWhereUniqueInput!) {
  updatePicture(data: $data, where: $where) {
    id
  }
}
